> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.yarnproject/yarn.unity.yarnproject.getheaders.md).

# GetHeaders(string)

Method in [YarnProject](/api/csharp/yarn.unity/yarn.unity.yarnproject.md)

{% hint style="warning" %}
This method is obsolete and may be removed from a future version of Yarn Spinner: Use Dialogue.GetHeaders.
{% endhint %}

## Summary

Gets the headers for the requested node.

```csharp
public Dictionary<string, List<string>> GetHeaders(string nodeName)
```

## Remarks

The first time this is called, the values are extracted from [Program](/api/csharp/yarn.unity/yarn.unity.yarnproject/yarn.unity.yarnproject.program.md) and cached inside `Yarn.Unity.YarnProject.nodeHeaders` . Future calls will then return the cached values.

## Parameters

| Name              | Description |
| ----------------- | ----------- |
| `string` nodeName |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.yarnproject/yarn.unity.yarnproject.getheaders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
